/// <reference types="node" />
import { ConnectorConfig } from "rsocket-core";
import { Auth } from "./rsocket.type";
import { Buffer } from "buffer";
export declare class RsocketConfig {
    private config;
    private setupRoute;
    private url;
    constructor(url: string);
    setup(setup?: Omit<ConnectorConfig['setup'], 'payload'>): {
        payload: (data?: unknown) => {
            route: (route: string) => {
                auth: (auth?: Auth | undefined) => {
                    responder: (responder?: Partial<import("rsocket-core").RSocket> | undefined) => {
                        lease: (lease?: {
                            maxPendingRequests?: number | undefined;
                        } | undefined) => {
                            resume: (resume?: {
                                cacheSize?: number | undefined;
                                tokenGenerator: () => Buffer;
                                reconnectFunction: (attempt: number) => Promise<void>;
                            } | undefined) => RsocketConfig;
                        };
                    };
                };
            };
        };
    };
    private payload;
    private route;
    private auth;
    private fragmentation;
    private responder;
    private lease;
    private resume;
    private buildAuthMetadata;
    getUrl(): string;
    setAuth(auth: Auth): void;
    getConfig(): ConnectorConfig;
}
